<?php include_once("class/class.MySQL.php");
$db	=new MySQL();
$userid=$_POST['userid'];
$wekss=$_POST['weks'];
if($userid==1)
{
    if($wekss)
	{
$query="select * from project_plan_activity where week_no='$wekss' order by id asc";
    }
	else
	{
	$query="select * from project_plan_activity order by id asc";
	}
	
	
	
}else{
     if($wekss)
	   {
$query="select * from project_plan_activity where e_id='$userid' and  week_no='$wekss' order by id asc";
       }
	   else
	   {
	   $query="select * from project_plan_activity where e_id='$userid' order by id asc";
	   }
}
$res    = mysql_query($query);
 $count  = mysql_num_rows($res);
$page = (int) (!isset($_REQUEST['pageId']) ? 1 :$_REQUEST['pageId']);
$page = ($page == 0 ? 1 : $page);
$recordsPerPage = 10;
$start = ($page-1) * $recordsPerPage;
$adjacents = "2";
    
$prev = $page - 1;
$next = $page + 1;
$lastpage = ceil($count/$recordsPerPage);
$lpm1 = $lastpage - 1;   
$pagination = "";
if($lastpage > 1)
    {   
        $pagination .= "<div class='pagination'>";
        if ($page > 1)
            $pagination.= "<a href=\"#Page=".($prev)."\" onClick='changePagination(".($prev).");'>&laquo; Previous&nbsp;&nbsp;</a>";
        else
            $pagination.= "<span class='disabled'>&laquo; Previous&nbsp;&nbsp;</span>";   
        if ($lastpage < 7 + ($adjacents * 2))
        {   
            for ($counter = 1; $counter <= $lastpage; $counter++)
            {
                if ($counter == $page)
                    $pagination.= "<span class='current'>$counter</span>";
                else
                    $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                         
            }
        }
        elseif($lastpage > 5 + ($adjacents * 2))
        {
            if($page < 1 + ($adjacents * 2))
            {
                for($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
                {
                    if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                    else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
                }
                $pagination.= "...";
                $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
                $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           
           }
           elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "...";
               for($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
               {
                   if($counter == $page)
                       $pagination.= "<span class='current'>$counter</span>";
                   else
                       $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
               $pagination.= "..";
               $pagination.= "<a href=\"#Page=".($lpm1)."\" onClick='changePagination(".($lpm1).");'>$lpm1</a>";
               $pagination.= "<a href=\"#Page=".($lastpage)."\" onClick='changePagination(".($lastpage).");'>$lastpage</a>";   
           }
           else
           {
               $pagination.= "<a href=\"#Page=\"1\"\" onClick='changePagination(1);'>1</a>";
               $pagination.= "<a href=\"#Page=\"2\"\" onClick='changePagination(2);'>2</a>";
               $pagination.= "..";
               for($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
               {
                   if($counter == $page)
                        $pagination.= "<span class='current'>$counter</span>";
                   else
                        $pagination.= "<a href=\"#Page=".($counter)."\" onClick='changePagination(".($counter).");'>$counter</a>";     
               }
           }
        }
        if($page < $counter - 1)
            $pagination.= "<a href=\"#Page=".($next)."\" onClick='changePagination(".($next).");'>Next &raquo;</a>";
        else
            $pagination.= "<span class='disabled'>Next &raquo;</span>";
        
        $pagination.= "</div>";       
    }
    
if(isset($_POST['pageId']) && !empty($_POST['pageId']))
{
    $id=$_POST['pageId'];
}
else
{
    $id='0';
}

$userid=$_POST['userid'];
$wekss=$_POST['weks'];
if($userid==1)
{
     if($wekss)
	{
	 $query="select * from project_plan_activity where week_no='$wekss' order by id desc
limit ".mysql_real_escape_string($start).",$recordsPerPage";

    }
	else
	{
 $query="select * from project_plan_activity order by id desc
limit ".mysql_real_escape_string($start).",$recordsPerPage";
    }
    
}else
{   

        if($wekss)
	{
 $query="select * from project_plan_activity where e_id='$userid' and week_no='$wekss' order by id desc
limit ".mysql_real_escape_string($start).",$recordsPerPage";
   }
   else
   {
 $query="select * from project_plan_activity where e_id='$userid' order by id desc
limit ".mysql_real_escape_string($start).",$recordsPerPage";   
   }
   
}
//echo $query;
$res    =   mysql_query($query);
$count  =   mysql_num_rows($res);
$HTML='';

   $HTML.=' <table width="100%" >
      <tr><th bgcolor="#999999" colspan="5" align="center"><center><font color="#FFFFFF" size="5px"><b>Activity Plan List</b></font></center></th>
	  <th bgcolor="#999999" width="7%" align="right">
	  <select name="weks" id="weks" onchange="sort_act_list(this);">
	  <option value="">Select Week</option>';
	  for($h=1;$h<=52;$h++){
	  if($wekss==$h)
	  {
	  $HTML.=' <option value="'.$h.'" selected="selected">'.$h.'</option>';
	  }
	  else
	  {
	  $HTML.=' <option value="'.$h.'">'.$h.'</option>';
	  }
	  
	  }
	   $HTML.='</select>
	  
	  </th></tr>
                </table>
			<table  class="list-leaves" width="100%">
	<tr><td>SlNo:</td>
	<td>Project ID</td>
<td>Project Name</td>
	<td>Date</td>
	<td>Activities Planned</td>

	<td>Hours</td></tr>';
   
$rcnt=0;
$hrs=0;
if($count > 0)
{
    while($row=mysql_fetch_array($res))
    {
	 $rcnt=$rcnt+1;
	$hrs=$row['hourss']+$hrs;
	 $resultdsg = mysql_fetch_array(mysql_query("SELECT * FROM employee where e_id='$row[e_id]' "));


$resultproj = mysql_fetch_array(mysql_query("SELECT * FROM project_table where id='$row[project_id]' "));

$resultproj_stg = mysql_fetch_array(mysql_query("SELECT * FROM project_stage where id='$row[stage_id]' "));
 
	 
	 
        $post=$row['id'];
        $link=$row['id'];
        $HTML.='<tr>';
        $HTML.='<td>'.$rcnt.'</td>';
	    $HTML.='<td>'.$resultproj['proj_id'].'</td>';
	    $HTML.='<td>'.$resultproj['proj_name'].'</td>';
	    $HTML.='<td>'.date("d-m-Y",strtotime($row['date_plan'])).'</td>';
		$HTML.='<td>'.$row['activities'].'</td>';		
		$HTML.='<td>'. $row['hourss'].'</td>';
		?>
		
		
	<?php 
	
   $HTML.='</tr>'; }
	 
	 $HTML.='<tr><td colspan="5" align="right"><b>Total Hours:</b></td><td ><font color="red"><b>'.$hrs.' Hrs</b></font></td></tr>';
	$HTML.='</table>';
}
else
{
    $HTML='<table   width="100%">
	<tr style="background-color:#999999"><th colspan="7"><font size="5px" color="white"><b><center>Activity Plan List</center></b></font></th>
<th bgcolor="#999999" width="7%" align="right">
	  <select name="weks" id="weks" onchange="sort_act_list(this);">
	  <option value="">Select Week</option>';
	  for($h=1;$h<=52;$h++){
	  if($wekss==$h)
	  {
	  $HTML.=' <option value="'.$h.'" selected="selected">'.$h.'</option>';
	  }
	  else
	  {
	  $HTML.=' <option value="'.$h.'">'.$h.'</option>';
	  }
	  
	  }
	   $HTML.='</select>
	  
	  </th>
	</tr>
	</table>
	<table  class="list-leaves" width="100%">
	<tr><td>SlNo:</td>
	<td>Project ID</td>
<td>Project Name</td>
	<td>Date</td>
	<td>Activities Planned</td>


	</tr>
	<tr><td colspan="5" align="center"><font color="red"><b><center>There Is No Data Found</center></b></font></td></tr>';
}
echo $HTML;
echo $pagination;
?>